//
//  CryptographTest.m
//  SealedPad
//
//  Created by 柴田 正明 on 10/09/14.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "Cryptograph.h"
#import "CryptographTest.h"


const char k_dataEncryptedEmptyStringWithEmptyPassword[] =
    "Salted__\x3c\xd4\xb2\x80\xfc\xea\xf5\xd8"
    "\xd9\x27\x6c\x29\xfa\x58\x44\xf6\x0e\x74\x88\x01\xc5\x62\x18\xb9";


@implementation CryptographTest

- (void)testInitialize
{
    Cryptograph *crypto = [[[Cryptograph alloc] init] autorelease];
    STAssertNotNil(crypto, @"crypto must not be nil");
    
    NSData *result = [crypto dataEncryptedFromString:@"" withPassword:@""];
    STAssertNotNil(result, @"result must not be nil");
    
    NSData *expect = [NSData dataWithBytes:k_dataEncryptedEmptyStringWithEmptyPassword
                                    length:32];
    STAssertNotNil(expect, @"expect must not be nil");
    STAssertEquals([result length], [expect length],
                   @"encrypting empty string with empty password correctly");
}

@end
