#include <wx/wx.h>
#include <wx/xrc/xmlres.h>

#include "appres.h"
#include "dialog.h"
#include "version.h"


PasswordDialog1::PasswordDialog1()
{
}


PasswordDialog1::PasswordDialog1(const wxString& filename)
{
    wxString fmt = fmt_info->GetLabel();
    fmt_info->SetLabel(wxString::Format(fmt.c_str(), filename.c_str()));
}


bool PasswordDialog1::IsConfirmed() const
{
    return (text_password->GetValue() == text_password2->GetValue());
}


wxString PasswordDialog1::GetValue() const
{
    return text_password->GetValue();
}


PasswordDialog2::PasswordDialog2()
{
}


PasswordDialog2::PasswordDialog2(const wxString& filename)
{
    wxString fmt = fmt_info->GetLabel();
    fmt_info->SetLabel(wxString::Format(fmt.c_str(), filename.c_str()));
}


wxString PasswordDialog2::GetValue() const
{
    return text_password->GetValue();
}


void PasswordDialog2::InitFocus() const
{
    text_password->SetFocus();
    text_password->SetSelection(-1, -1);
}


long JumpDialog::GetValue() const
{
    long num;
    if (text_line->GetValue().ToLong(&num)) {
        return num;
    }
    return -1;
}


void JumpDialog::SetValue(long value)
{
    if (value > 0) text_line->SetValue(wxString::Format(_T("%ld"), value));
}


AboutDialog::AboutDialog()
{
    wxString fmt = fmt_version->GetLabel();
    wxString label = wxString::Format(fmt,
        ::GetVersionString(), ::GetRevisionString());
    fmt_version->SetLabel(label);
    
    wxString copyright(_T(COPYRIGHT));
    static_copyright->SetLabel(copyright);
}


