#include <wx/wx.h>
#include <wx/xrc/xmlres.h>

#include "appres.h"
#include "xh_appres.h"


IMPLEMENT_DYNAMIC_CLASS(AppResHandler, wxXmlResourceHandler)


wxObject* AppResHandler::DoCreateResource()
{
    AppRes *appres = new AppRes();
    wxXmlNode *node = GetParamNode(_T("item"));
    while (node) {
        if (node->GetName() == _T("item")) {
            wxString key = node->GetPropVal(_T("key"), _T(""));
            if (key) {
                wxString value = node->GetNodeContent();
                value.Replace(_T("\\n"), _T("\n"));
                value.Replace(_T("\\t"), _T("\t"));
                value.Replace(_T("\\\\"), _T("\\"));
                appres->Append(key, value);
            }
        }
        node = node->GetNext();
    }
    return appres;
}


bool AppResHandler::CanHandle(wxXmlNode *node)
{
    return (IsOfClass(node, _T("AppRes")));
}


